package com.yuchen.saas.visitor.api.feign;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Set;

/**
 */
@Component
public class HikIscPeoplePrivilegeFeignClientFallback implements HikIscPeoplePrivilegeFeignClient {


    @Override
    public R <Set<Long>> groupList(Long privilegeId, List<Long> peopleIds) {
        return R.fail("远程调用失败");
    }

    @Override
    public R groupPage(Long privilegeId, Integer current, Integer size) {
        return R.fail("远程调用失败");
    }
}
